Subject: Re: haskelldb fails to build on debian-amd64
From: Roberto Pariset <[email-masked]>
To: Ian Lynagh <[email-masked]>
Date: Wed, 15 Mar 2006 16:35:01 +0100

Hi,
haskelldb is failing on amd64 and ghc could possibly have a part in this.
I think you should be informed as well, sorry I didn't think to CC the
other emails. I hope that in case there's something wrong with ghc6, maybe
you can easily guess :) In particular, reading haskelldb changelod I
noticed "Update dependencies for ghc6 6.4.1". Could it be something related
to the last ghc6 uploads? However, could you please take a look below? Thanks,
Roberto

-------- Messaggio Originale  --------
Bjorn Bringert ha scritto:
> Roberto Pariset wrote:
> 
>> Hello,
>> haskelldb fails to build from source on debian-amd64, with a lot of
>> errors
>> like: " undefined reference to `stg_ap_p_ret' ", as shown at [1].
>> I have to say I have never heard of haskell before, so I was wondering if
>> you could give me any hint to fix it. A good starting point would be
>> pointing me where stg_ap_p_ret is defined, as I haven't been able to find
>> out (am I unable to use google?). All the best,
>> Roberto
>>
>>
>> PS. please include me in your replies, don't just mail the list!
>>
>>
>>
>> [1]
>> http://amd64.ftbfs.de/fetch.php?&pkg=ghc6&ver=6.4.1-2&arch=amd64&stamp=1141531193&file=log&as=raw
>>
> 
> 
> Hi Roberto,
> 
> the log that you link to seems to be for the GHC build, not HaskellDB,
> and it doesn't seem to contain the error messages that you mention. I
> did find the HaskellDB log with the errors at:
> http://amd64.ftbfs.de/fetch.php?&pkg=haskelldb&ver=0.9.cvs.601-9&arch=amd64&stamp=1142372938&file=log&as=raw
> 
> 
> I think that the stg_ap_p_ret function belongs to the GHC run-time
> system, but I don't know what would cause the linker to not find it.
> 
> /Björn (HaskellDB maintainer)
> 

Thanks a lot, Björn. I confirm I got the url wrong, sorry.
Now, let's hope to hear some feedback from the GHC guys =)

Rob